Subject: Re: [PATCH net-next v7 1/2] tls: receive msg again for sk_redirect

From: Jakub Kicinski <[email-masked]>
Date: Wed, 12 Jun 2024 16:40:00 -0700

On Wed, 12 Jun 2024 17:19:03 +0800 Geliang Tang wrote:
> tls_sw doesn't work for sk_redirect in nonblock mode, sk_msg_recvmsg()
> returns 0 in that case in tls_sw_recvmsg(). This patch fixes this by using
> "continue" to receive msg again instead of ending it if strp isn't ready
> and rx_list is empty.

Can you explain what user-visible behavior problem you're trying to fix?
sk_msg_recvmsg() returns 0, but tls_sw_recvmsg() will return -EAGAIN as 
a whole, so everything seems in order.